org.apache.ignite.ml.math.distances

## Class CanberraDistance

- java.lang.Object
- - org.apache.ignite.ml.math.distances.CanberraDistance

- All Implemented Interfaces:
    Externalizable, Serializable, DistanceMeasure

      public class CanberraDistance
      extends Object
      implements DistanceMeasure

  Calculates the Canberra distance between two points.
  See Also:
    Canberra distance, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CanberraDistance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `compute(Vector a, Vector b)` Compute the distance between two n-dimensional vectors.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.math.distances.DistanceMeasure

      `compute, readExternal, writeExternal`

- - ### Constructor Detail

    - #### CanberraDistance

          public CanberraDistance()

  - ### Method Detail

    - #### compute

          public double compute(Vector a,
                                Vector b)
                         throws CardinalityException

      Compute the distance between two n-dimensional vectors.

      The two vectors are required to have the same dimension.

      Specified by:
        `compute` in interface `DistanceMeasure`
      Parameters:
        `a` - The first vector.
        `b` - The second vector.
      Returns:
        The distance between the two vectors.
      Throws:
        `CardinalityException` - if the array lengths differ.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022